Last Comment Bug 640719 - JavaScript validation for filing bugs prevents creation of bookmarkable templates with blank mandatory fields (summary, component, etc.)
: JavaScript validation for filing bugs prevents creation of bookmarkable templ...
Status: RESOLVED FIXED
: regression
Product: Bugzilla
Classification: Server Software
Component: Creating/Changing Bugs (show other bugs)
: 4.0
: All All
: -- normal (vote)
: Bugzilla 4.0
Assigned To: Max Kanat-Alexander
: default-qa
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-10 12:23 PST by Matt McHenry
Modified: 2011-04-27 15:55 PDT (History)
1 user (show)
mkanat: approval+
mkanat: approval4.0+
LpSolit: blocking4.0.1+
mkanat: testcase?
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1 (1.18 KB, patch)
2011-04-16 18:04 PDT, Max Kanat-Alexander
guy.pyrzak: review+
Details | Diff | Review

Description Matt McHenry 2011-03-10 12:23:11 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2.15) Gecko/20110303 Firefox/3.6.15 (.NET CLR 3.5.30729)
Build Identifier: 

The JS implemented in bug 490767 is attached to the "Remember values as bookmarkable template" button, but nothing should be mandatory for a template.  This prevents the creation of templates with empty summaries, unspecified components, or empty descriptions.

Reproducible: Always
Comment 1 Frédéric Buclin 2011-03-10 13:44:13 PST
Confirmed.
Comment 2 Max Kanat-Alexander 2011-04-16 18:04:41 PDT
Created attachment 526541 [details] [diff] [review]
v1

Simple enough to fix. :-) (Small patch.)
Comment 3 Guy Pyrzak 2011-04-26 09:04:13 PDT
Comment on attachment 526541 [details] [diff] [review]
v1

Review of attachment 526541 [details] [diff] [review]:

works for me. I'd prefer to pass in a variable, but since we're using onsubmit for the form i can't think of a better way to handle this.
Comment 4 Matt McHenry 2011-04-26 09:18:06 PDT
I just applied the patch on our installations, and it works great.  Thanks!
Comment 5 Max Kanat-Alexander 2011-04-27 15:02:58 PDT
Committing to: bzr+ssh://bzr.mozilla.org/bugzilla/trunk/                       
modified js/field.js
modified template/en/default/bug/create/create.html.tmpl
Committed revision 7794.

Committing to: bzr+ssh://bzr.mozilla.org/bugzilla/4.0/                         
modified js/field.js
modified template/en/default/bug/create/create.html.tmpl
Committed revision 7580.

Note You need to log in before you can comment on or make changes to this bug.